
def mat():
  from part import *
  from material import *
  from section import *
  from assembly import *
  from step import *
  from interaction import *
  from load import *
  from mesh import *
  from optimization import *
  from job import *
  from sketch import *
  from visualization import *
  from connectorBehavior import *
  import os
  
  os.chdir('..')

  from parametry import c
  os.chdir('program')
  
  visco=True
	

  mdb.models['Model-1'].Material(name='Korek')
  mdb.models['Model-1'].materials['Korek'].Hyperelastic(materialType=
    ISOTROPIC, n=3, table=((c['mu1'], c['alpha1'], c['mu2'], c['alpha2'], c['mu3'], c['alpha3'], c['d1'], c['d2'], c['d3']), ), 
    testData=OFF, type=OGDEN, volumetricResponse=VOLUMETRIC_DATA)
  
  if visco==True:   
  	mdb.models['Model-1'].materials['Korek'].Viscoelastic(domain=TIME, 
  	table=(
  	(c['g1'],c['k1'], c['tau1']),
  	(c['g2'], c['k2'], c['tau2']),
  	(c['g3'], c['k3'], c['tau3']),
  	(c['g4'], c['k4'], c['tau4']),
  	(c['g5'], c['k5'], c['tau5']),
   	), time=PRONY)